package nckd.jxccl.hrmp.hbpm.plugin.operate.hr;

import kd.bos.entity.plugin.AddValidatorsEventArgs;
import nckd.jxccl.hrmp.hbpm.common.hr.PositionBillConstant;
import nckd.jxccl.hrmp.hbpm.plugin.operate.hr.validator.PositionChangeSaveValidator;

/**
 * 岗位申请-岗位变更保存操作插件
 * @entity: nckd_posbillentrychange
 * @from: kd.hr.homs.opplugin.web.orgbatch.AdminOrgBatchDetailParentSaveOp
 * @author: jtd
 * @date: 2025/12/31 21:58
 */
public class PosBillEntryChangeSaveOpPlugin extends PositionBillEntrySaveOpPlugin {

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.addValidator(new PositionChangeSaveValidator());
    }

    @Override
    protected String getOperationKey() {
        return PositionBillConstant.CONFIRMCHANGE_OP;
    }
}
